Bug 242723 - Wrong init script
Summary: Wrong init script
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: device-mapper-multipath
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Ben Marzinski
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks: 237789 242724
TreeView+ depends on / blocked
 
Reported: 2007-06-05 14:59 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:02 UTC (History)
12 users (show)

Fixed In Version: RHEA-2007-0531
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 16:47:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2007:0531 normal SHIPPED_LIVE device-mapper-multipath enhancement update 2007-10-30 16:03:59 UTC

Description Michal Marciniszyn 2007-06-05 14:59:51 UTC
Description of problem:
The multipathd init script contains several wrong error code return commands.
Some of them also prevent the status command invocation, namely:
test -x $DAEMON || exit 0

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.

Comment 1 RHEL Product and Program Management 2007-06-05 15:04:11 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Ben Marzinski 2007-06-18 21:13:58 UTC
multipathd now uses the standard return codes, and doesn't exit before the
status check.

Comment 6 errata-xmlrpc 2007-11-07 16:47:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0531.html



Note You need to log in before you can comment on or make changes to this bug.